> For the complete documentation index, see [llms.txt](https://docs.silkbuilder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silkbuilder.com/tags/buttonitem.md).

# ButtonItem

The *silk:ButtonItem* defines the sub-buttons for a "Drop-down Button". Adding a *silk:ButtonItem* to a *silk:Button* converts it into a "Drop-down Button".

This is a standalone component.

## Tag Definition

Used standalone:

```xml
<silk:ButtonItem
  id=""
  label=""
  icon=""
  confirmTitle=""
  confirmMessage=""
  confirmLabel=""
  confirmIcon=""
  toggleList=""
  logicGrid=""
  criteria=""
  renderIf=""
  targetPage=""
/>
```

## Properties

### id

The button's unique identifier.\
If the button's events are not going to be used, the id is not required.\
Default Value: *Empty*.

### label

The label is used as the button's label. It is not required if the button only shows an icon.\
Default Value: *Empty*.

### icon

The icon class is from a Font Awesome icon.\
Default Value: *Empty*.

### confirmTitle

Sets the title of the confirmation dialog.\
Default Value: *Empty*.

### confirmMessage

Sets the message to show in the confirmation dialog.\
Default Value: *Empty*.

### confirmLabel

Sets the label for the accept button in the confirmation dialog.\
Default Value: *Empty*.

### confirmIcon

Sets the confirmation dialog icon.\
Default Value: *Empty*.

### toggleList

The list of comma-separated elements that will be toggled together with the component.\
The value "parent" toggles the immediate parent element.\
The value "grandpa" toggles the grandparent element.\
Default Value: *Empty*.

### logicGrid

Default Value: *Empty*.

### criteria

Default Value: *Empty*.

### renderIf

It contains the logic sentence defining whether the component should be rendered.\
The logic statement's explanation is in the [Server Code Logic](https://github.com/silkbuider/documentation/tree/master/tags/how_to/server_code_logic.md) documentation.\
Default Value: *Empty*.

### targetPage

The ID of the page to be shown when the button is clicked. This also works with *silk:Modal*.\
If opening a page/modal is the only button's functionality, then an ID is not necessary.\
Default Value: *Empty*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.silkbuilder.com/tags/buttonitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
